%{!?dist: %define dist .slc5}
Name: aims2
Version: 2.17
Release: 1%{?dist}
Summary: AIMS2 - Automated Installation Management Server (v.2)
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

%description
AIMS2 : Automated Installation Management Server (v.2)
Documentation at: http://twiki.cern.ch/twiki/bin/view/LinuxSupport/Aims2

%package -n aims2-server
Summary: AIMS2 server of Automated Installation Management Server (v.2)
Group: System Environment/Daemons

Requires: perl >= 5.8.5
Requires: perl-SOAP-Lite >= 0.65
Requires: perl-Authen-Krb5 >= 1.5
Requires: perl-Net-DNS >= 0.48
Requires: perl-DBI >= 1.40
Requires: perl-DBD-Oracle >= 1.16
Requires: perl-LDAP >= 0.31
Requires: tftp-server >= 0.39
Requires: perl-DateManip >= 5.42
Requires: perl-SQL-Abstract >= 1.22
Requires: oracle-instantclient-basic >= 10.2.0.3
Requires: httpd >= 2.0.52
Requires: perl-IO-Socket-INET6
Requires: perl-Socket6

Requires(pre): chkconfig
Requires(post): chkconfig
Provides: aims2server = %{version}
Obsoletes:aims2server < %{version}


#until we rename modules correctly ...
Provides: perl(aims2server::conf), perl(aims2server::db), perl(aims2server::host), perl(aims2server::image), perl(aims2server::landb), perl(aims2server::ldap), perl(aims2server::pxe), perl(aims2server::server), perl(aims2server::soap), perl(aims2server::winsrvc)

%description -n aims2-server
Server-side software for AIMS2 remote installations service.


%package -n aims2-client
Summary: AIMS2 client of Automated Installation Management Server (v.2)
Group: System Environment/Base

Requires: perl >= 5.8.5
Requires: perl-SOAP-Lite >= 0.65
Requires: perl-Authen-Krb5 >= 1.5
Requires: perl-Net-DNS >= 0.48
Provides: aims2client = %{version}
Obsoletes: aims2client < %{version}
Requires: perl-Socket6
Requires: perl-IO-Socket-INET6

%description -n aims2-client
Client-side software for using the AIMS2 remote installations service.
See: http://twiki.cern.ch/twiki/bin/view/LinuxSupport/Aims2
for more information.

%prep

%setup

%build
make all

%install
mkdir -p $RPM_BUILD_ROOT/
make install DESTDIR=$RPM_BUILD_ROOT/
cd $RPM_BUILD_ROOT/usr/share/man/man1
ln -s aims2client.1.gz aims2.1.gz
cd -
%clean
rm -rf $RPM_BUILD_ROOT


%files -n aims2-server
%defattr(-, root, root)
/usr/sbin/aims2sync
/usr/sbin/aims2config
/etc/init.d/aims2sync
/etc/logrotate.d/aims2sync
%config(noreplace) /etc/aims2.conf
%config(noreplace) /etc/httpd/conf.d/aims2httpd.conf
/usr/lib/perl5/site_perl/aims2server/*.pm
/var/www/html/aims2server/*.cgi
%dir /var/log/aims2/
%dir /var/lock/subsys/aims2/

%files -n aims2-client
%defattr(-, root, root)
/usr/bin/aims2
/usr/bin/aims2client
/usr/share/man/man1/*

%changelog
* Thu Aug 03 2017 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.16
- add check for LandbManagerPerson for host owners.

* Thu Apr 21 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.15
- add uefi/SLC6/RHEL6 booting possibility

* Tue Apr 05 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.13.4
- recursive e-group membership search

* Wed Mar 02 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.13.1
- added uefi/aarch64 support for pxe images.

* Tue Mar 01 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.13
- added arm64 boot support
- added addhost command options for uefi/lgcy/arm64

* Fri Feb 26 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.11
- bios/uefi/lgcy boot with dnsmasq support

* Tue Feb 23 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.10-1
- adding bios/uefi/lgcy boot.

* Mon Jan 18 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.9.22-1
- change boot protocol to http (aims2sync)

* Thu Jan 14 2016 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.9.21-1
- image upload permissions for CMF admins. (server)

* Mon Jul 20 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.9.19-2
- fix actual perl-Socket6 and perl-IO-Socket-INET6 requires in 
  aims2-client package.

* Thu Apr 30 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.9.19-1
- add perl-Socket6 and perl-IO-Socket-INET6 as deoendencies
  to make the client work on IPv6-enabled systems too.
- (will still use IPv4)

* Wed Jan  7 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.9.17
- CDB checks in server disabled, quattor is off since nov 2014
* Fri Mar 15 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.9.16
- display single sync server status in client '--full' option
* Wed Apr  4 2012   Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.9.14
- added nested e-groups support for host permission checking.
* Mon Apr  4 2011  Jaroslaw Polok <jaroslaw.polok@cern.ch> - 2.9.9
- added pxe noexpiry option
* Thu Oct 21 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 2.9.6-1
- fix CDBSQL SQL statement in preparation for using dedicated ITCORE account

* Fri Aug 27 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 2.9.5-1
- error handling fixes
- added logrotate
